Marshal Linfoot wrote:
Tom, I;m running Radiant on Ubuntu 6.06.1 ("*Dapper* Drake") without any problems. I wonder if your openssl libraries are too new. The output from "locate openssl" on my server shows only 2 lines:

   /usr/lib/libgnutls-openssl.so.12
   /usr/lib/libgnutls-openssl.so.12.3.6

/usr/lib/libgnutls-openssl.so.12 is a link to the actual library file, /usr/lib/libgnutls-openssl.so.12.3.6, so you could try the following:

sudo ln -s /usr/lib/libgnutls-openssl.so.13.9.1 /usr/lib/libgnutls-openssl.so.12

to create a similar link to your newer library.

A shot in the dark ... if it doesn't work, remove the link with:

   sudo rm /usr/lib/libgnutls-openssl.so.12

Marshal - thanks for the suggestion. Regrettably, I got the same result I've gotten, regardless of what I've tried:

$ sudo ln -s /usr/lib/libgnutls-openssl.so.13.9.1 /usr/lib/libgnutls-openssl.so.12
[sudo] password for tomc:
[EMAIL PROTECTED]:~/Ruby-work/radiant-test$ rake production db:bootstrap
(in /home/tomc/Ruby-work/radiant-test)
rake aborted!
no such file to load -- openssl

I'm beginning to feel cursed! But there must be a rational solution, somewhere...

t.


--
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Tom Cloyd, MS MA, LMHC - Private practice Psychotherapist
Bellingham, Washington, U.S.A: (360) 920-1226
<< [EMAIL PROTECTED] >> (email)
<< TomCloyd.com >> (website & psychotherapy weblog)
<< sleightmind.wordpress.com >> (mental health issues weblog)
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
_______________________________________________
Radiant mailing list
Post:   Radiant@radiantcms.org
Search: http://radiantcms.org/mailing-list/search/
Site:   http://lists.radiantcms.org/mailman/listinfo/radiant

Reply via email to